<button mat-button color="primary" class="d-flex justify-content-center create" [routerLink]="['/edit']">
    <mat-icon>note_add</mat-icon>
    Create Coffees
</button>
<mat-card class="card-coffees" *ngFor="let coffee of coffees">
    <mat-card-header>
        <div mat-card-avatar
             class="avarta">
            <span>{{(coffee.title).split('')[0]}}</span>
        </div>
        <mat-card-title>{{coffee.title}}</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <p>{{coffee.author}}</p>
    </mat-card-content>
    <mat-card-actions class="coffees-action d-flex justify-content-end">
        <button mat-button color="primary" [routerLink]="['/edit/', coffee._id]" [skipLocationChange]="true">Edit</button>
        <button mat-button color="warn" (click)="onRemove(coffee._id)">Delete</button>
    </mat-card-actions>
</mat-card>